Skip to main content
GET
/
crr
/
external_scores
List external scores
curl --request GET \
  --url https://api.synctera.com/v2/crr/external_scores \
  --header 'Authorization: Bearer <token>'
{
  "external_scores": [
    {
      "id": "7503cd8a-903b-4fee-aa54-da3dc71f4124",
      "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "resource_type": "CUSTOMER",
      "score": 75,
      "tenant": "abcdef_ghijkl",
      "creation_time": "2023-11-07T05:31:56Z",
      "last_updated_time": "2023-11-07T05:31:56Z"
    }
  ],
  "next_page_token": "a8937a0d"
}

Documentation Index

Fetch the complete documentation index at: https://docs.synctera.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

resource_id
string<uuid>

Filter by customer_id or business_id

resource_type
enum<string>

The resource type for which the parameter is calculated

Available options:
CUSTOMER,
BUSINESS
sort_by
enum<string>[]

Specifies the sort order for the returned external score list.

Available options:
score:asc,
score:desc,
creation_time:asc,
creation_time:desc,
last_updated_time:asc,
last_updated_time:desc
page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

Response

List of external scores

external_scores
object[]
required

Array of external scores

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"